Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Automatically generated files
[simgrid.git] / examples / java / basic / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #########################
18 # How to compile the code
19 # All this to only get a dumb javac *java... Automake still have issues with java
20
21 # Makefile chunk which allows to display the files which should be included
22 # into the distribution.
23
24 # It is intended to be included in all Makefile.am 
25 VPATH = @srcdir@
26 pkgdatadir = $(datadir)/@PACKAGE@
27 pkglibdir = $(libdir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
45         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
46 subdir = examples/java/basic
47 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
48 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
49         $(top_srcdir)/acmacro/compiler-flags.m4 \
50         $(top_srcdir)/acmacro/context.m4 \
51         $(top_srcdir)/acmacro/fancy_configury.m4 \
52         $(top_srcdir)/acmacro/flex.m4 \
53         $(top_srcdir)/acmacro/gras_arch.m4 \
54         $(top_srcdir)/acmacro/print_null.m4 \
55         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
56 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
57         $(ACLOCAL_M4)
58 mkinstalldirs = $(install_sh) -d
59 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
60 CONFIG_CLEAN_FILES =
61 SOURCES =
62 DIST_SOURCES =
63 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 ACLOCAL = @ACLOCAL@
66 ADDR2LINE = @ADDR2LINE@
67 AMTAR = @AMTAR@
68 AM_CPPFLAGS = @AM_CPPFLAGS@
69 AR = @AR@
70 AS = @AS@
71 AUTOCONF = @AUTOCONF@
72 AUTOHEADER = @AUTOHEADER@
73 AUTOMAKE = @AUTOMAKE@
74 AWK = @AWK@
75 BASH = @BASH@
76 CC = @CC@
77 CCDEPMODE = @CCDEPMODE@
78 CFLAGS = @CFLAGS@
79 CPP = @CPP@
80 CPPFLAGS = @CPPFLAGS@
81 CXX = @CXX@
82 CXXCPP = @CXXCPP@
83 CXXDEPMODE = @CXXDEPMODE@
84 CXXFLAGS = @CXXFLAGS@
85 CYGPATH_W = @CYGPATH_W@
86 DEFS = @DEFS@
87 DEPDIR = @DEPDIR@
88 DLLTOOL = @DLLTOOL@
89 DOXYGEN = @DOXYGEN@
90 ECHO = @ECHO@
91 ECHO_C = @ECHO_C@
92 ECHO_N = @ECHO_N@
93 ECHO_T = @ECHO_T@
94 EGREP = @EGREP@
95 EXEEXT = @EXEEXT@
96 FLEXML = @FLEXML@
97 GCJ = @GCJ@
98 GCJDEPMODE = @GCJDEPMODE@
99 GCJFLAGS = @GCJFLAGS@
100 GRAS_DEP = @GRAS_DEP@
101 GREP = @GREP@
102 INSTALL = @INSTALL@
103 INSTALL_DATA = @INSTALL_DATA@
104 INSTALL_PROGRAM = @INSTALL_PROGRAM@
105 INSTALL_SCRIPT = @INSTALL_SCRIPT@
106 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
107 JAR = @JAR@
108 JAVA = @JAVA@
109 JAVAC = @JAVAC@
110 LDFLAGS = @LDFLAGS@
111 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
112 LEX = @LEX@
113 LEXLIB = @LEXLIB@
114 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
115 LIBOBJS = @LIBOBJS@
116 LIBS = @LIBS@
117 LIBTOOL = @LIBTOOL@
118 LN_S = @LN_S@
119 LTLIBOBJS = @LTLIBOBJS@
120 MAINT = @MAINT@
121 MAKEINFO = @MAKEINFO@
122 MD5SUM = @MD5SUM@
123 MKDIR_P = @MKDIR_P@
124 OBJDUMP = @OBJDUMP@
125 OBJEXT = @OBJEXT@
126 PACKAGE = @PACKAGE@
127 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
128 PACKAGE_NAME = @PACKAGE_NAME@
129 PACKAGE_STRING = @PACKAGE_STRING@
130 PACKAGE_TARNAME = @PACKAGE_TARNAME@
131 PACKAGE_VERSION = @PACKAGE_VERSION@
132 PATH_SEPARATOR = @PATH_SEPARATOR@
133 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
134 RANLIB = @RANLIB@
135 SET_MAKE = @SET_MAKE@
136 SHELL = @SHELL@
137 SIMGRID_DEP = @SIMGRID_DEP@
138 SMPI_DEP = @SMPI_DEP@
139 STRIP = @STRIP@
140 VERSION = @VERSION@
141 WARNING = @WARNING@
142 abs_builddir = @abs_builddir@
143 abs_srcdir = @abs_srcdir@
144 abs_top_builddir = @abs_top_builddir@
145 abs_top_srcdir = @abs_top_srcdir@
146 ac_configure_args = @ac_configure_args@
147 ac_ct_CC = @ac_ct_CC@
148 ac_ct_CXX = @ac_ct_CXX@
149 am__include = @am__include@
150 am__leading_dot = @am__leading_dot@
151 am__quote = @am__quote@
152 am__tar = @am__tar@
153 am__untar = @am__untar@
154 bindir = @bindir@
155 build = @build@
156 build_alias = @build_alias@
157 build_cpu = @build_cpu@
158 build_id = @build_id@
159 build_os = @build_os@
160 build_vendor = @build_vendor@
161 builddir = @builddir@
162 datadir = @datadir@
163 datarootdir = @datarootdir@
164 docdir = @docdir@
165 dvidir = @dvidir@
166 exec_prefix = @exec_prefix@
167 host = @host@
168 host_alias = @host_alias@
169 host_cpu = @host_cpu@
170 host_os = @host_os@
171 host_vendor = @host_vendor@
172 htmldir = @htmldir@
173 includedir = @includedir@
174 infodir = @infodir@
175 install_sh = @install_sh@
176 libdir = @libdir@
177 libexecdir = @libexecdir@
178 localedir = @localedir@
179 localstatedir = @localstatedir@
180 mandir = @mandir@
181 mkdir_p = @mkdir_p@
182 oldincludedir = @oldincludedir@
183 pdfdir = @pdfdir@
184 prefix = @prefix@
185 program_transform_name = @program_transform_name@
186 psdir = @psdir@
187 pth_skaddr_makecontext = @pth_skaddr_makecontext@
188 pth_sksize_makecontext = @pth_sksize_makecontext@
189 sbindir = @sbindir@
190 sharedstatedir = @sharedstatedir@
191 srcdir = @srcdir@
192 sysconfdir = @sysconfdir@
193 target = @target@
194 target_alias = @target_alias@
195 target_cpu = @target_cpu@
196 target_os = @target_os@
197 target_vendor = @target_vendor@
198 top_builddir = @top_builddir@
199 top_srcdir = @top_srcdir@
200 EXTRA_DIST = basic_deployment.xml basic_platform.xml
201
202 # Declare sources:
203 noinst_JAVA = Master.java Forwarder.java Slave.java BasicTest.java BasicTask.java
204
205 # Declare test class
206 TESTS = BasicTest.class
207 JAVAROOT = .
208 AM_JAVACFLAGS = -classpath $(top_srcdir)/src/simgrid.jar:.
209
210 ##########################
211 # What to do on make check
212 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
213 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
214 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
215 # We also need to express dependencies manually (in each test dir)
216 # Damn...
217 TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
218                   CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
219                   $(srcdir)/../runtest 
220
221 all: all-am
222
223 .SUFFIXES:
224 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
225         @for dep in $?; do \
226           case '$(am__configure_deps)' in \
227             *$$dep*) \
228               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
229                 && exit 0; \
230               exit 1;; \
231           esac; \
232         done; \
233         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/basic/Makefile'; \
234         cd $(top_srcdir) && \
235           $(AUTOMAKE) --gnu  examples/java/basic/Makefile
236 .PRECIOUS: Makefile
237 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
238         @case '$?' in \
239           *config.status*) \
240             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
241           *) \
242             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
243             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
244         esac;
245
246 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
247         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
248
249 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
250         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
251 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
252         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
253
254 mostlyclean-libtool:
255         -rm -f *.lo
256
257 clean-libtool:
258         -rm -rf .libs _libs
259
260 classnoinst.stamp: $(noinst_JAVA)
261         @list1='$?'; list2=; if test -n "$$list1"; then \
262           for p in $$list1; do \
263             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
264             list2="$$list2 $$d$$p"; \
265           done; \
266           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
267           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
268         else :; fi
269         echo timestamp > classnoinst.stamp
270
271 clean-noinstJAVA:
272         -rm -f *.class classnoinst.stamp
273 tags: TAGS
274 TAGS:
275
276 ctags: CTAGS
277 CTAGS:
278
279
280 check-TESTS: $(TESTS)
281         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
282         srcdir=$(srcdir); export srcdir; \
283         list=' $(TESTS) '; \
284         if test -n "$$list"; then \
285           for tst in $$list; do \
286             if test -f ./$$tst; then dir=./; \
287             elif test -f $$tst; then dir=; \
288             else dir="$(srcdir)/"; fi; \
289             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
290               all=`expr $$all + 1`; \
291               case " $(XFAIL_TESTS) " in \
292               *$$ws$$tst$$ws*) \
293                 xpass=`expr $$xpass + 1`; \
294                 failed=`expr $$failed + 1`; \
295                 echo "XPASS: $$tst"; \
296               ;; \
297               *) \
298                 echo "PASS: $$tst"; \
299               ;; \
300               esac; \
301             elif test $$? -ne 77; then \
302               all=`expr $$all + 1`; \
303               case " $(XFAIL_TESTS) " in \
304               *$$ws$$tst$$ws*) \
305                 xfail=`expr $$xfail + 1`; \
306                 echo "XFAIL: $$tst"; \
307               ;; \
308               *) \
309                 failed=`expr $$failed + 1`; \
310                 echo "FAIL: $$tst"; \
311               ;; \
312               esac; \
313             else \
314               skip=`expr $$skip + 1`; \
315               echo "SKIP: $$tst"; \
316             fi; \
317           done; \
318           if test "$$failed" -eq 0; then \
319             if test "$$xfail" -eq 0; then \
320               banner="All $$all tests passed"; \
321             else \
322               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
323             fi; \
324           else \
325             if test "$$xpass" -eq 0; then \
326               banner="$$failed of $$all tests failed"; \
327             else \
328               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
329             fi; \
330           fi; \
331           dashes="$$banner"; \
332           skipped=""; \
333           if test "$$skip" -ne 0; then \
334             skipped="($$skip tests were not run)"; \
335             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
336               dashes="$$skipped"; \
337           fi; \
338           report=""; \
339           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
340             report="Please report to $(PACKAGE_BUGREPORT)"; \
341             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
342               dashes="$$report"; \
343           fi; \
344           dashes=`echo "$$dashes" | sed s/./=/g`; \
345           echo "$$dashes"; \
346           echo "$$banner"; \
347           test -z "$$skipped" || echo "$$skipped"; \
348           test -z "$$report" || echo "$$report"; \
349           echo "$$dashes"; \
350           test "$$failed" -eq 0; \
351         else :; fi
352
353 distdir: $(DISTFILES)
354         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
355         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
356         list='$(DISTFILES)'; \
357           dist_files=`for file in $$list; do echo $$file; done | \
358           sed -e "s|^$$srcdirstrip/||;t" \
359               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
360         case $$dist_files in \
361           */*) $(MKDIR_P) `echo "$$dist_files" | \
362                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
363                            sort -u` ;; \
364         esac; \
365         for file in $$dist_files; do \
366           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
367           if test -d $$d/$$file; then \
368             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
369             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
370               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
371             fi; \
372             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
373           else \
374             test -f $(distdir)/$$file \
375             || cp -p $$d/$$file $(distdir)/$$file \
376             || exit 1; \
377           fi; \
378         done
379 check-am: all-am
380         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
381 check: check-am
382 all-am: Makefile classnoinst.stamp
383 installdirs:
384 install: install-am
385 install-exec: install-exec-am
386 install-data: install-data-am
387 uninstall: uninstall-am
388
389 install-am: all-am
390         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
391
392 installcheck: installcheck-am
393 install-strip:
394         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
395           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
396           `test -z '$(STRIP)' || \
397             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
398 mostlyclean-generic:
399
400 clean-generic:
401
402 distclean-generic:
403         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
404
405 maintainer-clean-generic:
406         @echo "This command is intended for maintainers to use"
407         @echo "it deletes files that may require special tools to rebuild."
408 clean: clean-am
409
410 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
411
412 distclean: distclean-am
413         -rm -f Makefile
414 distclean-am: clean-am distclean-generic
415
416 dvi: dvi-am
417
418 dvi-am:
419
420 html: html-am
421
422 info: info-am
423
424 info-am:
425
426 install-data-am:
427
428 install-dvi: install-dvi-am
429
430 install-exec-am:
431
432 install-html: install-html-am
433
434 install-info: install-info-am
435
436 install-man:
437
438 install-pdf: install-pdf-am
439
440 install-ps: install-ps-am
441
442 installcheck-am:
443
444 maintainer-clean: maintainer-clean-am
445         -rm -f Makefile
446 maintainer-clean-am: distclean-am maintainer-clean-generic
447
448 mostlyclean: mostlyclean-am
449
450 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
451
452 pdf: pdf-am
453
454 pdf-am:
455
456 ps: ps-am
457
458 ps-am:
459
460 uninstall-am:
461
462 .MAKE: install-am install-strip
463
464 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
465         clean-libtool clean-noinstJAVA distclean distclean-generic \
466         distclean-libtool distdir dvi dvi-am html html-am info info-am \
467         install install-am install-data install-data-am install-dvi \
468         install-dvi-am install-exec install-exec-am install-html \
469         install-html-am install-info install-info-am install-man \
470         install-pdf install-pdf-am install-ps install-ps-am \
471         install-strip installcheck installcheck-am installdirs \
472         maintainer-clean maintainer-clean-generic mostlyclean \
473         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
474         uninstall uninstall-am
475
476
477 # declare that we must recompile everything before lauching tests
478 $(TESTS): classnoinst.stamp
479
480 dist-files:
481         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
482         @echo
483         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
484
485 # Cruft
486 # Tell versions [3.59,3.63) of GNU make to not export all variables.
487 # Otherwise a system limit (for SysV at least) may be exceeded.
488 .NOEXPORT: